Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156164 - Bootparamd only uses first line entry in /etc/bootparams
Summary: Bootparamd only uses first line entry in /etc/bootparams
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bootparamd
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 02:35 UTC by Claude Lefrancois
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-29 13:18:11 UTC


Attachments (Terms of Use)

Description Claude Lefrancois 2005-04-28 02:35:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
The bootparam daemon responds to bootparams requests using only the elements provided in the first line of the /etc/bootparams file.

I have recompiled the fc1 version of bootparamd on fc3 (0.17-14) and it works fine. The bug has been introduced after fc1.

I use Fedora Linux as a Solaris jumpstart server. The bootparam daemon is essential to the Solaris jumpstart process

Version-Release number of selected component (if applicable):
bootparamd-0.17-18

How reproducible:
Always

Steps to Reproduce:
1. Fill the bootparamd with parameters
2. Start a Sun computer system for jumpstart

  

Actual Results:  The bootparam daemon responds with parameters provided in the first line of the  /etc/bootparams file

Expected Results:  The bootparam daemon should respond with parameters linked with the hostname of the jumpstart client. One line per type of jumpstart client. Each line in /etc/bootparams contains information required by the Sun client computer which uses hostname to distinguish systems for the Jumpstart configuration.

Additional info:

Comment 1 Martin Stransky 2005-04-28 07:41:15 UTC
Yeah, package with fix for it is in fedora updates, it is in testing pool. You
can upgrade your package to bootparamd-0.17-19.FC3 or download new from devel.


Note You need to log in before you can comment on or make changes to this bug.